Bug 16813 - OPACBaseURL cannot be emptied
Summary: OPACBaseURL cannot be emptied
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14790
  Show dependency treegraph
 
Reported: 2016-06-27 12:32 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16813: Allow empty string for OPACBaseURL (1.70 KB, patch)
2016-06-27 12:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16813: Allow empty string for OPACBaseURL (1.84 KB, patch)
2016-07-01 15:26 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16813: Allow empty string for OPACBaseURL (1.89 KB, patch)
2016-07-11 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-06-27 12:32:17 UTC
The pref is always prefixed by 'http://' even when emptied.
Comment 1 Jonathan Druart 2016-06-27 12:34:37 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-01 15:26:18 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-11 21:39:20 UTC
Created attachment 53288 [details] [review]
[PASSED QA] Bug 16813: Allow empty string for OPACBaseURL

The pref is prefixed by 'http://', but it should not when the pref is
set to an empty string.
This will fix the bug raised on bug 14790 comment 14.

Test plan:
Empty OPACBaseURL and confirm that it's save as it in DB

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
OPACBaseURL is saved up empty. Prefix http:// is not saved anymore

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-07-15 15:02:28 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-08-01 13:39:42 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-17 10:47:23 UTC
Patch pushed to 3.22.x, will be in 3.22.10